Etiketter
GET https://gratisqrcode.nl/api/labels/
curl --request GET \
--url 'https://gratisqrcode.nl/api/labels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/labels/' \
--header 'Authorization: Bearer {api_key}' \
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| page | Valgfritt Heltall | Sidenummeret du vil ha resultater fra. Standard er 1. |
| results_per_page | Valgfritt Heltall | Hvor mange resultater du vil ha per side. Tillatte verdier er: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standard er 25. |
{
"data": [
{
"id": 1,
"name": "Mijn label",
"color": "#3b82f6",
"datetime": "2026-08-19 12:28:17",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://gratisqrcode.nl/api/labels?page=1",
"last": "https://gratisqrcode.nl/api/labels?page=1",
"next": null,
"prev": null,
"self": "https://gratisqrcode.nl/api/labels?page=1"
}
}
GET https://gratisqrcode.nl/api/labels/{label_id}
curl --request GET \
--url 'https://gratisqrcode.nl/api/labels/{label_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/labels/{label_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Mijn label",
"color": "#3b82f6",
"datetime": "2026-08-19 12:28:17",
}
}
POST https://gratisqrcode.nl/api/labels
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| name | Påkrevd Streng | max:64 |
| color | Valgfritt Streng | hex #rrggbb, default #6c757d |
curl --request POST \
--url 'https://gratisqrcode.nl/api/labels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Mijn label' \
--form 'color=#3b82f6' \
--url 'https://gratisqrcode.nl/api/labels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Mijn label' \
--form 'color=#3b82f6' \
{
"data": {
"id": 1
}
}
POST https://gratisqrcode.nl/api/labels/{label_id}
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| name | Valgfritt Streng | max:64 |
| color | Valgfritt Streng | hex #rrggbb |
curl --request POST \
--url 'https://gratisqrcode.nl/api/labels/{label_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Nieuw label' \
--url 'https://gratisqrcode.nl/api/labels/{label_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Nieuw label' \
{
"data": {
"id": 1
}
}
DELETE https://gratisqrcode.nl/api/labels/{label_id}
curl --request DELETE \
--url 'https://gratisqrcode.nl/api/labels/{label_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/labels/{label_id}' \
--header 'Authorization: Bearer {api_key}' \